package com.cib.fintech.dfp.open.sdk.util;

import java.text.SimpleDateFormat;

/**
 * 全局静态常量
 *
 * @author zengminghua
 */
public final class Const {

    /**
     * 编码字符集：UTF-8
     */
    public static final String CHARSET = "UTF-8";

    /**
     * 发送请求时head中的认证信息KEY
     */
    public static final String POST_HEAD_KEY = "Authorization";

    /**
     * 时间格式化器
     */
    public static final SimpleDateFormat FORMATTER_TIME = new SimpleDateFormat("yyyyMMddHHmmss");

    /**
     * 签名加密类型：RSA
     */
    public static final String SIGN_TYPE = "RSA";

    /**
     * 加密算法
     */
    public static final String SIGN_ALGORITHMS = "SHA256WithRSA";

    /**
     * EC算法
     */
    public static final String ALGORITHM_EC = "EC";

    /**
     * SM3WithSM2算法
     */
    public static final String ALGORITHM_SM3_WITH_SM2 = "SM3WithSM2";

    /**
     * 下载成功返回消息
     */
    public static final String FILE_SUCCESS_RESULT = "{\"code\":\"OPEN25800\",\"msg\":\"下载成功\",\"traceId\":\"OPEN-00-LOCAL-800\"}";

    /**
     * 文件下载的uri
     */
    public static final String FILE_DOWNLOAD_URI = "/api/open/downloadFile";

    /**
     * 文件上传的uri
     */
    public static final String FILE_UPLOAD_URI = "/api/open/uploadFile";

    /**
     * 异常返回码前缀
     */
    public static final String RESP_EXCEPTION_CODE = "\"code\":\"OPEN";

}
